aboutsummaryrefslogtreecommitdiffstats
path: root/sidecar/tproxy-config/src/main/bin/start.sh
diff options
context:
space:
mode:
authorJonathan Gathman <jonathan.gathman@att.com>2018-09-25 16:57:19 +0000
committerGerrit Code Review <gerrit@onap.org>2018-09-25 16:57:19 +0000
commit376b25bccbbb558791a45f9da9eeaabb48baa7bb (patch)
tree2b2a301eef0f9e8b157b1ca46e27c1a5bb3c92cf /sidecar/tproxy-config/src/main/bin/start.sh
parent6c3031ea90d5b51ae44a599c0cd0d95c057cf633 (diff)
parent98b93b77f43c2bd09b89b6bcc9102bb6e8e1d7af (diff)
Merge "Initial drop of tproxy-config init container"
Diffstat (limited to 'sidecar/tproxy-config/src/main/bin/start.sh')
-rw-r--r--sidecar/tproxy-config/src/main/bin/start.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/sidecar/tproxy-config/src/main/bin/start.sh b/sidecar/tproxy-config/src/main/bin/start.sh
new file mode 100644
index 0000000..cbb003d
--- /dev/null
+++ b/sidecar/tproxy-config/src/main/bin/start.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+# org.onap.aai
+# ================================================================================
+# Copyright © 2017-2018 AT&T Intellectual Property. All rights reserved.
+# Copyright © 2017-2018 European Software Marketing Ltd.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+
+set -x
+set -eo pipefail
+
+#iptables -t nat -A PREROUTING -p tcp -j REDIRECT --to-port 9080
+iptables -t nat -A OUTPUT -p tcp -j REDIRECT --to-port 9999 -m owner '!' --uid-owner 1001
+#iptables -t nat -A OUTPUT -p tcp -j REDIRECT --to-port 9999 -m owner '!' --uid-owner 100
+#iptables -t nat -A OUTPUT -p tcp -j REDIRECT --to-port 9999 -m owner --uid-owner 0
+iptables -t nat --list